CREATE procedure [C6StagingPeriodico].[RP_ST_PosizioniProposta_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_PosizioniProposta_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_PosizioniProposta
	insert into C6StagingPeriodico.RP_PosizioniProposta
	select chiavePosizionePro,
			chiaveProgetto,
			chiaveProdotto,
			conto,
			rubricato,
			codConf,
			numPolizza,
			custGar,
			codAbi,
			termId,
			anno,
			prog
			from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.PosizioniProposta
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_PosizioniProposta_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_PosizioniProposta_pre_selective'
		)
end